<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Links
 *
 * @property int $id
 * @property string $platform
 * @property string $link
 * @property string $linktext
 * @property int $brandcolors
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|Links newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Links newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Links query()
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereBrandcolors($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereLink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereLinktext($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links wherePlatform($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Links whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Links extends Model
{
    use HasFactory;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'links';

    /**
     * The model's default values for attributes.
     *
     * @var array
     */
    protected $attributes = [
        'platform' => 'null',
        'link' => 'null'
    ];
}
