<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Userdata
 *
 * @property int $id
 * @property string $username
 * @property string $theme
 * @property string $profilepicture
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata query()
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata whereTheme($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Userdata whereUsername($value)
 * @mixin \Eloquent
 */
class Userdata extends Model
{
    use HasFactory;
    protected $table = 'userdatas';
    protected $attributes = [
        'username'=> 'null',
        'theme'=> 'orange',
        'profilepicture' => 'https://upload.wikimedia.org/wikipedia/commons/a/ac/Default_pfp.jpg',
    ];
}
