<?php

namespace App\Services\Userdatas;

class UserdatasService
{
    private $userdatasDataProvider;
    private $userdatasDataMutator;

    public function __construct()
    {
        $this->userdatasDataProvider = new UserdatasDataProvider();
        $this->userdatasDataMutator = new UserdataDataMutator();
    }

    public function getFirstUserdata()
    {
        return $this->userdatasDataProvider->getAllUserdatas()[0];
    }

    public function getUserdatasLenght(): int
    {
        return count($this->userdatasDataProvider->getAllUserdatas());
    }

    public function setNewUserdata(string $username, string $theme, string $profilepicture)
    {
        return $this->userdatasDataMutator->setNewUserdata($username, $theme, $profilepicture);
    }

    public function deleteUserdataByID(int $id)
    {
        $this->userdatasDataMutator->deleteUserdataByID($id);
    }

    public function getAllUserdatas():array
    {
        return $this->userdatasDataProvider->getAllUserdatas();
    }

}