<?php

namespace App\Services\Links;

class LinksService
{
    private $linksDataProvider;
    private $linksDataMutator;

    public function __construct()
    {
        $this->linksDataProvider = new LinksDataProvider();
        $this->linksDataMutator = new LinksDataMutator();
    }

    public function getAllLinks(): array
    {
        return $this->linksDataProvider->getAllLinks();
    }

    public function deleteLinkById(int $id)
    {
        return $this->linksDataMutator->deleteLinkById($id);
    }

    public function setNewLink(string $platform, string $link, string $linktext, string $brandcolors)
    {
        $this->linksDataMutator->setNewLink($platform, $link, $linktext, $brandcolors);
    }

}